Reference
© 2026 Chartex
TikTok Sound Historical Stats
Sign in to try the API directly from this page.
GET
/external/v1/tiktok-sounds/{tiktok_sound_id}/stats/{metric}/TikTok Sound Historical Stats
Get TikTok sound historical statistics (video counts or video views over time). Note: Not all sounds have video views data available.
Path Parameters
Required
The unique identifier for a TikTok sound from the TikTok platform
String
Possible values: Any valid TikTok sound ID (e.g., 7171140178143266818)
Required
The type of statistical data to retrieve for the TikTok sound
String
Available options
TikTok Creates
TikTok Video Metrics(views, likes, comments, shares, saves)
Query Parameters
The start date for filtering the time series data.
String
Possible values: Date in format YYYY-MM-DD or YYYYMMDD (e.g., 2024-01-01 or 20240101)
The end date for filtering the time series data
String
Possible values: Date in format YYYY-MM-DD or YYYYMMDD (e.g., 2024-12-31 or 20241231)
Limit the data to the latest N days from today
Integer
Possible values: Any positive integer (e.g., 7, 30, 90)
Required
The mode for returning data
String
Daily shows the value for each day separately. Total shows the accumulated sum up to each day.
Available options
See Error Codes for possible error responses.
Try It Out
Required: tiktok_sound_id, metric, mode